<?php

// API routes  for master_settings
Route::prefix('{guard}/master_setting')->group(function () {
    Route::get('master_settings/form/{element}', 'MasterSettingsAPIController@form');
    Route::resource('master_settings', 'MasterSettingsAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for master_settings
            Route::prefix('{guard}/master_setting')->group(function () {
                Route::get('master_settings/form/{element}', 'MasterSettingsAPIController@form');
                Route::apiResource('master_settings', 'MasterSettingsAPIController');
            });
            // Public routes for master_settings
            Route::get('master_setting/MasterSettings', 'MasterSettingsPublicController@getMasterSettings');
        }
    );
}

