<?php

// web routes  for master_settings
Route::prefix('{guard}/master_setting')->group(function () {
    Route::resource('master_settings', 'MasterSettingsResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'MasterSettingsResourceController');
            });
            // Public routes for pages
            Route::get('master_settings/', 'MasterSettingsPublicController@index');
            Route::get('master_settings/{slug?}', 'MasterSettingsPublicController@show');
        }
    );
}

