<?php

namespace B2buy\MasterSetting\Repositories\Eloquent;

use B2buy\MasterSetting\Interfaces\MasterSettingsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class MasterSettingsRepository extends BaseRepository implements MasterSettingsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('b2buy.master_setting.master_settings.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('b2buy.master_setting.master_settings.model.model');
    }
}
